Get Network Scan Config

This method allows users to get network scan config. Account Name and config name are mandatory inputs for this method.

KeyMeaningMandatoryData Type
accountAccount name or IDYesstring
confignameName of the network scan configurationYesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.NetworkScanner.getNetworkScanConfig(
  account="Demo Account",
  configname="test_config"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json